<script setup lang="ts">
import { type Product } from '@/types/Product'

const prop = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product]
}>()

const selected = function() {
    console.log('Product Card' + prop.product)
    emit('selectedProduct',prop.product)
}
</script>

<template>
  <v-sheet width="150" height="150" elevation="3" @click="selected()">
    <v-img :src="`./img/coffee/product_${product.id}.png`" height="120" cover></v-img>
    <div style="text-align: center;">{{ product.name }} {{ product.price }} บาท</div>
  </v-sheet>
</template>

<style scoped></style>
